import 'package:flutter/material.dart';

final Color _mainBlueColor = const Color(0xFF0033CC);
final Color _mainTextColor = const Color(0xFF1C1C1E);
final Color _subTextColor = const Color(0xFF6A717B);
final Color _pageBackgroundColor = const Color(0xFFF5F7F9);
final Color _cardBackgroundColor = const Color(0xFFF0F2F5);
class CustomHeader extends StatelessWidget {
  const CustomHeader({super.key});

  static const double _uniformGap = 16.0;

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 50.0,
      decoration: BoxDecoration(
        color: Colors.white,
        boxShadow: const [
          BoxShadow(
            color: Color.fromRGBO(0, 0, 0, 0.07),
            offset: Offset(0, 4),
            blurRadius: 6,
            spreadRadius: 0,
          ),
        ],
      ),
      padding: const EdgeInsets.symmetric(horizontal: _uniformGap),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          Row(children: [
            Icon(Icons.settings_input_component, color: Colors.black),
            const SizedBox(width: 10),
            Text(
              '스마트 헬멧',
              style: TextStyle(
                fontSize: 18,
                fontWeight: FontWeight.w500,
                color: _mainTextColor,
                letterSpacing: 0.5,
              ),
            )
          ]),
          Text(
            '2025/09/26 - 10:44 AM',
            style: TextStyle(color: _subTextColor, fontSize: 11),
          ),
        ],
      ),
    );
  }
}
